Exploit to get SDXC support on 4.1.0?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by wikoogle, Aug 10, 2018 at 12:30 PM.

  1. wikoogle
    OP

    wikoogle Member

    Newcomer
    1
    Mar 14, 2011
    United States
    My switch is on 4.1.0, never been updated.

    Just bought a 200gb microsdxc card and put it in. It says that I need to update the firmware to get support for the microsdxc format!?

    It makes no sense because my wife’s launch switch is also on 4.1.0 and reads the microsdxc cards just fine!? Why is it that it can but my 4.1.0 switch cannot?

    Has anyone else encountered this issue?

    Any exploits/suggestions on how to get sdxc working?

    Thank you in advance.
     
    Last edited by wikoogle, Aug 10, 2018 at 1:12 PM
  2. aos10

    aos10 ❤ Zelda ❤\(^o^)/

    Member
    9
    Apr 10, 2012
    Saudi Arabia
  3. Reploid

    Reploid GBAtemp Maniac

    Member
    6
    Jan 20, 2010
    Serbia, Republic of
    It's a lot of hassle. I think you can just update by normal means. I don't think 4.1 has any major advantages over 5.1. I know I did.
     
  4. wikoogle
    OP

    wikoogle Member

    Newcomer
    1
    Mar 14, 2011
    United States
    Thank you aos10. So the best way to do this is for me to get octopath to get the 5.0.2 support.

    Reploid, I thought 4.1 could allow for a softmod and 5.0 and up will need to be rebooted each time you want to launch custom firmware. Thats a pretty difference no?
     
    Last edited by wikoogle, Aug 10, 2018 at 1:09 PM
    Stone-D likes this.
  5. Kafluke

    Kafluke GBAtemp Psycho!

    Member
    12
    May 6, 2006
    United States
    4.1 MAY allow for a softmod. Some day. Right now there is no difference. You still have to launch a payload on every boot with 4.1

    Also, "Has anyone else encountered this issue"

    Youre gonna grief for that statement. Theres like a thread a day being posted with the same question. Do a search next time.
     
    Last edited by Kafluke, Aug 10, 2018 at 1:09 PM
  6. wikoogle
    OP

    wikoogle Member

    Newcomer
    1
    Mar 14, 2011
    United States
    It makes no sense because my wife’s launch switch is also on 4.1.0 and reads her microsdxc card just fine!? Why is it that it can but my 4.1.0 switch cannot?

    Hers was 1.0.0 and she had updated to 4.1.0 over 8 months ago and hasnt updated it since. Mine came with 4.1.0 on it and I never updated it.
     
  7. SilverDragon

    SilverDragon Member

    Newcomer
    3
    Jun 28, 2006
    Because it had an exfat card inserted it at sometime.
     
  8. silvershadow

    silvershadow GBAtemp Regular

    Member
    4
    May 16, 2006
    Canada
    I think whats really happening is its doing an online format of the card. I have a 200gb card that i did the update with. It was fine, when i connected a new 200gb card, i had to do the update.
     
  9. jambri

    jambri Newbie

    Newcomer
    1
    Aug 3, 2018
    Canada
    from what i understand is they have to pay a license/royalty for exFat. So instead of doing this for every single unit (that might not even use it) they prompt you to install it so they can track it and it would cost them less. Your wife would have installed the patch awhile back and updated with it.

    Speculation warning!:
    I believe it is paired with updates because it needs to connect online to inform their servers that it is being used for legal/monetary reasons.

    In addition to ChoiDujourNX There is:
    (i cant post links yet) but search for this post:
    How to install the exFAT driver without updating! [2.x+]
     
  10. Stone-D

    Stone-D Member

    Newcomer
    1
    Thursday
    Indonesia
    Jakarta, Indonesia
    Maybe she went online and got the update that way?

    It's super easy to patch exFat support into the system, and I did it the harder way with regular ChoiDuJour commandline for Windows.

    Going to 5.x.x using ChoiDuJourNX is fine, but if you accidentally burn that fuse you're not going back. There are so few games that actually really require 5. Many just pretend and can be talked into running anyway. Looking at you, Titan Quest, Salt & Sanctuary, Hollow Knight, OCTOPATH.
     
  11. animefreak55

    animefreak55 GBAtemp Regular

    Member
    2
    Aug 13, 2011
    United States
    Home
    Just format it as fat32 with guiformat. Unless you need 4GB+ files.
     
  12. lostdotfish

    lostdotfish Advanced Member

    Newcomer
    1
    Feb 13, 2016
  13. wikoogle
    OP

    wikoogle Member

    Newcomer
    1
    Mar 14, 2011
    United States
    Thank you.

    I decided to go ahead and update it since atleast for now, it sounds like it doesnt make a difference.
     
  14. simba115

    simba115 Advanced Member

    Newcomer
    2
    Dec 23, 2010
    United States
    I didnt know you can start a game that requires a higher firmware! I have sx os and 4.1 . If I install the nsp of hollow knight it will launch? I was staying away for any games that required higher since I did not want to update.
     
  15. Kafluke

    Kafluke GBAtemp Psycho!

    Member
    12
    May 6, 2006
    United States
    Just update with ChoiDuJourNX method. That way you can downgrade later if you want to. Youll be forced to install autoCRM but no biggie ( if you're the only one who uses your switch) then you can play all the latest games and downgrade if you want to.
     
  16. thorasgar

    thorasgar Checkout my evil Soon-in-ator™

    Member
    9
    Jul 3, 2010
    United States
    Could you expand on this? Haven’t done any Switch modding yet but have 3 and just been catching up on the scene the past few weeks. Do the current solutions (rei, raj, sx) not have separate user accounts for multi users. I had not even considered that issue yet. Could be a problem with the two boys sharing an offline Switch.
     
  17. crimpshrine

    crimpshrine GBAtemp Regular

    Member
    3
    Jun 18, 2014
    United States
    I am pretty new to hacking the switch, but why would someone want to go through all of that, when they can just follow this thread?

    https://gbatemp.net/threads/choiduj...ller-homebrew-for-the-nintendo-switch.513416/

    My understanding, is you can upgrade without burning efuses, and apply exfat using ChoiDujourNX which is pretty simple compared to the thread you posted.

    Am I missing something here?
     
  18. Kafluke

    Kafluke GBAtemp Psycho!

    Member
    12
    May 6, 2006
    United States
    Let me explain. I have 5 teenagers. They want to turn on the switch and just play. If i was the only one using the switch i wouldnt mind launching a payload on every boot. But they dont know how and i dont trust them to remember to put it in sleep mode. If you dont put it in sleep mode and you have autoCRM then youre going to have battery issues.

    Of course the games they play I have legit purchased. If they want to play a downloaded game I have to launch a CFW with sig patches first anyway
     
    thorasgar likes this.
  19. Stone-D

    Stone-D Member

    Newcomer
    1
    Thursday
    Indonesia
    Jakarta, Indonesia
    Games have a 'Required System Firmware', which is the cause of it prompting you to update, and a "Master Key version" which dictates the lowest firmware on which the game can be decrypted.

    Yes, I'm on 4.1.0 using SX OS 1.4 and Hollow Knight runs fine. As does Titan Quest (bugs and all), Salt & Sanctuary, and Dead Cells. However, the updates may not.

    Check the attached pictures. I can't run the highlighted ones, which are updates, but everything else (138 other NSPs, including DLCs and updates) runs fine. I think. I haven't actually tried them all, but I have tried a lot.

    EDIT: Note that you can't install these via SX OS. You have to use a recent build of Tinfoil.
     

    Attached Files:

    • 01.png
      01.png
      File size:
      209.5 KB
      Views:
      43
    • 02.png
      02.png
      File size:
      10 KB
      Views:
      37
    Last edited by Stone-D, Aug 11, 2018 at 6:03 PM
  20. crimpshrine

    crimpshrine GBAtemp Regular

    Member
    3
    Jun 18, 2014
    United States
    Hey Kafluke, could you please clarify what you mean by having battery issues? I am pretty new to the switch hacking.

    I am preparing a few Switches for my kids, and just want to make sure I am not getting myself into something here. I would have them in autoRCM mode and give them the switches to use, I can't trust that they will just put them to sleep(they could very well power them off) or give them back to me before the power has run out on them.

    Ideally they would give them back to me or plug them in to be charged before they run out of power, but you know that won't happen. So I am trying to figure out what is the outcome of that, did not realize that could be an issue based on what you said above.

    Thanks